package com.qmth.themis.business.dto.response;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

import com.qmth.themis.business.excel.ExcelProperty;

/** 
* @Description: 考生dto
* @Param:  
* @return:  
* @Author: wangliang
* @Date: 2020/8/3 
*/ 
public class TEExamStudentDto implements Serializable {

    @ApiModelProperty(name = "考生id")
    private Long id;//考生id

    @ApiModelProperty(name = "考试批次名称")
    private String examName;//考试批次名称

    @ExcelProperty(name = "姓名", width = 30, index = 2)
    @ApiModelProperty(name = "考生姓名")
    private String name;//考生姓名

    @ExcelProperty(name = "证件号", width = 30, index = 3)
    @ApiModelProperty(name = "证件号")
    private String identity;//证件号

    @ApiModelProperty(name = "考试场次代码")
    private String code;//考试场次代码

    @ExcelProperty(name = "科目代码", width = 30, index = 5)
    @ApiModelProperty(name = "科目代码")
    private String courseCode;//科目代码

    @ExcelProperty(name = "科目名称", width = 30, index = 4)
    @ApiModelProperty(name = "科目名称")
    private String courseName;//科目名称

    @ExcelProperty(name = "状态", width = 30, index = 6)
    private String enableText;
    
    @ApiModelProperty(name = "考生是否启用，0：停用，1：启用")
    private Integer enable;//考生是否启用

    @ExcelProperty(name = "考场代码", width = 30, index = 7)
    @ApiModelProperty(name = "考场代码")
    private String roomCode;//考场代码

    @ExcelProperty(name = "考场名称", width = 30, index = 8)
    @ApiModelProperty(name = "考场名称")
    private String roomName;//考场名称

    @ExcelProperty(name = "年级", width = 30, index = 9)
    @ApiModelProperty(name = "年级")
    private String grade;//年级

    @ExcelProperty(name = "教学班级", width = 30, index = 10)
    @ApiModelProperty(name = "教学班级")
    private String classNo;//教学班级

    @ApiModelProperty(name = "场次id")
    private Long examActivityId;//场次id

    @ExcelProperty(name = "场次代码", width = 30, index = 1)
    @ApiModelProperty(name = "场次代码")
    private String activityCode;//场次代码

    @ApiModelProperty(name = "考试批次id")
    private Long examId;//考试批次id
    
    @ApiModelProperty(name = "底照url")
    private String basePhotoUrl;

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public Long getExamActivityId() {
        return examActivityId;
    }

    public void setExamActivityId(Long examActivityId) {
        this.examActivityId = examActivityId;
    }

    public String getActivityCode() {
        return activityCode;
    }

    public void setActivityCode(String activityCode) {
        this.activityCode = activityCode;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getExamName() {
        return examName;
    }

    public void setExamName(String examName) {
        this.examName = examName;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getIdentity() {
        return identity;
    }

    public void setIdentity(String identity) {
        this.identity = identity;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public Integer getEnable() {
        return enable;
    }

    public void setEnable(Integer enable) {
        this.enable = enable;
    }

    public String getRoomCode() {
        return roomCode;
    }

    public void setRoomCode(String roomCode) {
        this.roomCode = roomCode;
    }

    public String getRoomName() {
        return roomName;
    }

    public void setRoomName(String roomName) {
        this.roomName = roomName;
    }

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    public String getClassNo() {
        return classNo;
    }

    public void setClassNo(String classNo) {
        this.classNo = classNo;
    }

	public String getBasePhotoUrl() {
		return basePhotoUrl;
	}

	public void setBasePhotoUrl(String basePhotoUrl) {
		this.basePhotoUrl = basePhotoUrl;
	}

	public String getEnableText() {
		if(enable!=null&&enable.intValue()==1) {
			return "启用";
		}else {
			return "停用";
		}
		
	}
    
	
    
}
